Centos 7

From Amahi Wiki
Jump to: navigation, search
Warning.png WARNING
This is only for developers. CentOS for Amahi is currently ON HOLD!


Configure and test installation of Amahi 9 with CentOS 7.2 for potential adoption for the next Amahi release. This is ONLY for development testing by the Amahi staff!

To Do

  • Create Amahi repo
  • Create apps for C7
  • Test Apps (only phpSysInfo has been tested)
  • Build Amahi-specific RPMs (amahi-anywhere, amahi-greyhole, amahi-plex, amahi-sync, amahi-netboot)
  • Test Netinstall method
  • Build apps testbot
  • Create custom Amahi CentOS 7 ISO (see Create Custom Centos 7 Kickstart boot CD ISO)
  • Determine solution to missing packages (from repos) for some applications


CentOS 7

Download CentOS 7.2:

Follow the CentOS 7 Minimal Server install guidance using Minimal ISO and create a user (DON'T set root password).


Installation must be done as root user.

  • Install dependencies:
yum install epel-release nano psmisc wget
yum install gcc mysql-devel ruby-devel rubygems
  • Download custom packages:
wget http://tdstatic.net/RPMs/hda-ctl-7.0.0-1.x86_64.rpm
wget  http://tdstatic.net/RPMs/hda-platform-9.0.0-1.x86_64.rpm
wget  http://tdstatic.net/RPMs/rubygem-mysql2-0.4.4-1.x86-64.rpm
wget  http://tdstatic.net/RPMs/rubygem-ruby-dbus-0.11.1-1.noarch.rpm
  • Install custom packages:
yum localinstall hda-ctl-7.0.0-1.x86_64.rpm 
yum localinstall hda-platform-9.0.0-1.x86_64.rpm
yum localinstall rubygem-mysql2-0.4.4-1.x86-64.rpm
yum localinstall rubygem-ruby-dbus-0.11.1-1.noarch.rpm
  • Install Ruby Gems:
gem install mysql2 ruby-dbus
  • Install Amahi:
hda-install INSTALL_CODE

Known Issues

  • rubygem-mysql2 and rubygem-ruby-dbus packages not available in CentOS or EPEL repo
  • Dashboard reflects MariaDB server not running (Bug #1802)
  • Not all app dependencies available in CentOS or EPEL repo (i.e. calibre is not)
  • Missing packages affects some apps
    • PHP 5.5 not available in the CentOS or EPEL repo (see PHP 5.5) as
    • RPM Fusion Repos do not appear available for CentOS 7 (see RPM Fusion)
  • RepoForge (formerly RPMForge) does not appear to be a solution to replace RPM Fusion. It's outdated and research indicates it's a dead project.

Bug Reports

See Amahi Bug #2081 for development progress.

Development Notes

  • Install of CentOS 7.2 Minimal ISO is the only tested method
  • Procedures for Amahi install have not been sufficiently tested
  • Platform (Bug #1386) checklist was completed with no issues